Boxes.py


DividerTray

Divider tray - rows and dividers

Settings for Finger Joints

angle
style

style of the fingers

surroundingspaces

space at the start and end in multiple of normal spaces

bottom_lip

height of the bottom lips sticking out (multiples of thickness) FingerHoleEdge only!

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

extra_length

extra material to grind away burn marks (multiples of thickness)

finger

width of the fingers (multiples of thickness)

play

extra space to allow finger move in and out (multiples of thickness)

space

space between fingers (multiples of thickness)

width

width of finger holes (multiples of thickness)

Settings for HandleEdge

height

height above the wall in mm

hole_height

height of hole(s) in percentage of maximum hole height (handle height - 2 * material thickness)

hole_width

width of hole(s) in percentage of maximum hole width (width of edge - (n+1) * material thickness)

on_sides

added to side panels if checked, to front and back otherwise (only used with top_edge parameter)

radius

radius of corners in mm

outset

extend the handle along the length of the edge (multiples of thickness)

Settings for Divider Slots

angle

angle at which slots are generated, in degrees. 0° is vertical.

depth

depth of the slot in mm

extra_slack

extra slack (in addition to thickness and kerf) to help insert dividers in mm

radius

radius of the slot entrance in mm

Settings for Notches on the Dividers

depth
lower_radius
upper_radius

Settings for Dividers

bottom_margin

margin between box's bottom and divider's in mm

play

play to avoid them clamping onto the walls (in multiples of thickness)

DividerTray Settings

sx

sections left to right in mm 🛈

sy

sections back to front in mm 🛈

h

inner height in mm (unless outside selected)

outside

treat sizes as outside measurements 🛈

notches_in_wall

generate the same notches on the walls that are on the dividers

left_wall

generate wall on the left side

right_wall

generate wall on the right side

bottom

generate wall on the bottom

handle

add handle to the bottom

Default Settings

thickness

thickness of the material (in mm) 🛈

format

format of resulting file 🛈

tabs

width of tabs holding the parts in place (in mm)(not supported everywhere) 🛈

debug

print surrounding boxes for some structures 🛈

labels

label the parts (where available)

reference

print reference rectangle with given length (in mm)(zero to disable) 🛈

inner_corners

style for inner corners 🛈

burn

burn correction (in mm)(bigger values for tighter fit) 🛈



Adding '0:' at the start of the sy parameter adds a slot at the very back. Adding ':0' at the end of sy adds a slot meeting the bottom at the very front. This is especially useful if slot angle is set above zero.

There are 4 different sets of dividers rendered:

  • With asymmetric tabs so the tabs fit on top of each other
  • With tabs of half wall thickness that can go side by side
  • With tabs of a full wall thickness
  • One single divider spanning across all columns

You will likely need to cut each of the dividers you want multiple times.